diff --git a/LICENSE b/LICENSE
index 203e6d85a..02193a258 100644
--- a/LICENSE
+++ b/LICENSE
@@ -1,6 +1,6 @@
 pgAdmin 4
 
-Copyright (C) 2013 - 2020, The pgAdmin Development Team
+Copyright (C) 2013 - 2019, The pgAdmin Development Team
 
 Permission to use, copy, modify, and distribute this software and its
 documentation for any purpose, without fee, and without a written agreement is
diff --git a/pkg/mac/build.sh b/pkg/mac/build.sh
index c8b443b70..2e6c574aa 100755
--- a/pkg/mac/build.sh
+++ b/pkg/mac/build.sh
@@ -223,22 +223,6 @@ _framework_config() {
     ./framework-config.sh "${BUILDROOT}/${APP_BUNDLE_NAME}" || { echo "framework-config.sh failed"; exit 1; }
 }
 
-_codesign_binaries() {
-    cd ${SOURCEDIR}/pkg/mac
-
-    if [ ! -f codesign.conf ]; then
-        echo
-        echo "******************************************************************"
-        echo "* codesign.conf not found. NOT signing the binaries."
-        echo "******************************************************************"
-        echo
-        sleep 5
-        return
-    fi
-
-    ./codesign-binaries.sh "${BUILDROOT}/${APP_BUNDLE_NAME}" || { echo codesign-binaries.sh failed; exit 1; }
-}
-
 _codesign_bundle() {
     cd ${SOURCEDIR}/pkg/mac
 
@@ -284,7 +268,6 @@ _build_runtime || { echo Runtime build failed; exit 1; }
 _build_doc
 _complete_bundle
 _framework_config
-_codesign_binaries
 _codesign_bundle
 _create_dmg
 _codesign_dmg
diff --git a/pkg/mac/codesign.conf.in b/pkg/mac/codesign.conf.in
index a0b2077b3..9951ee947 100644
--- a/pkg/mac/codesign.conf.in
+++ b/pkg/mac/codesign.conf.in
@@ -2,4 +2,3 @@
 # codesign.conf, and edit the value below to reflect your developer ID
 
 DEVELOPER_ID="Developer ID Application: My Name (12345ABCD)"
-DEVELOPER_BUNDLE_ID="Developer Bundle Identifier (pgadmin4-4)"
diff --git a/pkg/mac/licence.rtf b/pkg/mac/licence.rtf
index 0f1f119f7..1b51b6c86 100644
--- a/pkg/mac/licence.rtf
+++ b/pkg/mac/licence.rtf
@@ -10,7 +10,7 @@
 \fs22 \
 \
 
-\f1\i Copyright (C) 2013 - 2020, The pgAdmin Development Team
+\f1\i Copyright (C) 2013 - 2019, The pgAdmin Development Team
 \f0\i0 \
 \
 Permission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without a written agreement is hereby granted, provided that the above copyright notice and this paragraph and the following two paragraphs appear in all copies.\
diff --git a/pkg/pip/build.sh b/pkg/pip/build.sh
index 8a6eefe8a..7ad11ad01 100755
--- a/pkg/pip/build.sh
+++ b/pkg/pip/build.sh
@@ -4,7 +4,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 #########################################################################
diff --git a/pkg/pip/setup_pip.py b/pkg/pip/setup_pip.py
index a616fb6bb..81f90a449 100644
--- a/pkg/pip/setup_pip.py
+++ b/pkg/pip/setup_pip.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/pkg/src/build.sh b/pkg/src/build.sh
index 85d60a194..1f623a371 100755
--- a/pkg/src/build.sh
+++ b/pkg/src/build.sh
@@ -4,7 +4,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 #########################################################################
diff --git a/runtime/ConfigWindow.cpp b/runtime/ConfigWindow.cpp
index 275d6b440..3368067cb 100644
--- a/runtime/ConfigWindow.cpp
+++ b/runtime/ConfigWindow.cpp
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // ConfigWindow.h - Configuration window
diff --git a/runtime/ConfigWindow.h b/runtime/ConfigWindow.h
index ed948d603..91af88493 100644
--- a/runtime/ConfigWindow.h
+++ b/runtime/ConfigWindow.h
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // ConfigWindow.h - Configuration window
diff --git a/runtime/FloatingWindow.cpp b/runtime/FloatingWindow.cpp
index 6e2f2348a..6235cb40d 100644
--- a/runtime/FloatingWindow.cpp
+++ b/runtime/FloatingWindow.cpp
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // FloatingWindow.cpp - For GNOME 3.26 and above floating window will be used.
diff --git a/runtime/FloatingWindow.h b/runtime/FloatingWindow.h
index 8b91bf5ce..51d3b8de7 100644
--- a/runtime/FloatingWindow.h
+++ b/runtime/FloatingWindow.h
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // FloatingWindow.h - For GNOME 3.26 and above floating window will be used.
diff --git a/runtime/LogWindow.cpp b/runtime/LogWindow.cpp
index 4d9d6962e..d64ac266c 100644
--- a/runtime/LogWindow.cpp
+++ b/runtime/LogWindow.cpp
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // LogWindow.cpp - Log viewer window
diff --git a/runtime/LogWindow.h b/runtime/LogWindow.h
index 5f7bc8633..4f088b996 100644
--- a/runtime/LogWindow.h
+++ b/runtime/LogWindow.h
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // LogWindow.h - Log viewer window
diff --git a/runtime/Logger.cpp b/runtime/Logger.cpp
index acd9f5dcb..e227f97ee 100644
--- a/runtime/Logger.cpp
+++ b/runtime/Logger.cpp
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // Logger.cpp - Logger Utility
diff --git a/runtime/Logger.h b/runtime/Logger.h
index c97aa8832..71d78fb59 100644
--- a/runtime/Logger.h
+++ b/runtime/Logger.h
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // Logger.h - Logger Utility
diff --git a/runtime/MenuActions.cpp b/runtime/MenuActions.cpp
index 5115a429c..8c2bfcf5a 100644
--- a/runtime/MenuActions.cpp
+++ b/runtime/MenuActions.cpp
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // MenuActions.cpp - Common file for menu actions.
diff --git a/runtime/MenuActions.h b/runtime/MenuActions.h
index 2d9403712..6557de388 100644
--- a/runtime/MenuActions.h
+++ b/runtime/MenuActions.h
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // MenuActions.h - Common file for menu actions.
diff --git a/runtime/Server.cpp b/runtime/Server.cpp
index b8e924ae0..76ee95d6b 100644
--- a/runtime/Server.cpp
+++ b/runtime/Server.cpp
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // Server.cpp - Thread in which the web server will run.
diff --git a/runtime/Server.h b/runtime/Server.h
index 1094f84bd..37068dab9 100644
--- a/runtime/Server.h
+++ b/runtime/Server.h
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // Server.h - Thread in which the web server will run.
diff --git a/runtime/TrayIcon.cpp b/runtime/TrayIcon.cpp
index 9e583eac0..754585942 100644
--- a/runtime/TrayIcon.cpp
+++ b/runtime/TrayIcon.cpp
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // TrayIcon.cpp - Manages the tray icon
diff --git a/runtime/TrayIcon.h b/runtime/TrayIcon.h
index 5c84e414b..d317d30e1 100644
--- a/runtime/TrayIcon.h
+++ b/runtime/TrayIcon.h
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // TrayIcon.h - Manages the tray icon
diff --git a/runtime/pgAdmin4.cpp b/runtime/pgAdmin4.cpp
index e4d164bb7..4d03eca86 100644
--- a/runtime/pgAdmin4.cpp
+++ b/runtime/pgAdmin4.cpp
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // pgAdmin4.cpp - Main application entry point
diff --git a/runtime/pgAdmin4.h b/runtime/pgAdmin4.h
index 96efdd8de..b7c76dd33 100644
--- a/runtime/pgAdmin4.h
+++ b/runtime/pgAdmin4.h
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 // pgAdmin4.h - Main application header
diff --git a/runtime/pgAdmin4.pro b/runtime/pgAdmin4.pro
index 9947fbc69..00002d858 100644
--- a/runtime/pgAdmin4.pro
+++ b/runtime/pgAdmin4.pro
@@ -1,8 +1,8 @@
-VERSION = 4.17.0.0
+VERSION = 4.16.0.0
 QMAKE_TARGET_COMPANY = "The pgAdmin Development Team"
 QMAKE_TARGET_PRODUCT = "pgAdmin 4"
 QMAKE_TARGET_DESCRIPTION = "pgAdmin 4 Desktop Runtime"
-QMAKE_TARGET_COPYRIGHT = "Copyright (C) 2013 - 2020, The pgAdmin Development Team"
+QMAKE_TARGET_COPYRIGHT = "Copyright (C) 2013 - 2019, The pgAdmin Development Team"
 
 # Configure QT modules for the appropriate version of QT
 greaterThan(QT_MAJOR_VERSION, 4) {
diff --git a/tools/copyright_updater.py b/tools/copyright_updater.py
index 4af08aa1b..4ab8540e7 100644
--- a/tools/copyright_updater.py
+++ b/tools/copyright_updater.py
@@ -4,7 +4,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/tools/dependency_inventory.py b/tools/dependency_inventory.py
index ef6938910..c2f493382 100644
--- a/tools/dependency_inventory.py
+++ b/tools/dependency_inventory.py
@@ -4,7 +4,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/tools/get_chromedriver.py b/tools/get_chromedriver.py
index 48c6cc131..dfd62afe3 100644
--- a/tools/get_chromedriver.py
+++ b/tools/get_chromedriver.py
@@ -4,7 +4,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/tools/sql_keywords.py b/tools/sql_keywords.py
index 9f1d466c2..1c9eba3f3 100644
--- a/tools/sql_keywords.py
+++ b/tools/sql_keywords.py
@@ -4,7 +4,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/.eslintrc.js b/web/.eslintrc.js
index 795c8bcd0..a9d7437fd 100644
--- a/web/.eslintrc.js
+++ b/web/.eslintrc.js
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
diff --git a/web/config.py b/web/config.py
index f24373e4a..416454f6e 100644
--- a/web/config.py
+++ b/web/config.py
@@ -4,7 +4,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 # config.py - Core application configuration settings
@@ -51,7 +51,7 @@ APP_ICON = 'pg-icon'
 
 # Application version number components
 APP_RELEASE = 4
-APP_REVISION = 17
+APP_REVISION = 16
 
 # Application version suffix, e.g. 'beta1', 'dev'. Usually an empty string
 # for GA releases.
@@ -60,7 +60,7 @@ APP_SUFFIX = ''
 # Numeric application version for upgrade checks. Should be in the format:
 # [X]XYYZZ, where X is the release version, Y is the revision, with a leading
 # zero if needed, and Z represents the suffix, with a leading zero if needed
-APP_VERSION_INT = 41700
+APP_VERSION_INT = 41600
 
 # DO NOT CHANGE!
 # The application version string, constructed from the components
@@ -71,7 +71,7 @@ else:
 
 # Copyright string for display in the app
 # Any changes made here must also be made in runtime/pgAdmin4.pro
-APP_COPYRIGHT = 'Copyright (C) 2013 - 2020, The pgAdmin Development Team'
+APP_COPYRIGHT = 'Copyright (C) 2013 - 2019, The pgAdmin Development Team'
 
 ##########################################################################
 # Misc stuff
diff --git a/web/karma.conf.js b/web/karma.conf.js
index f41512575..9ed1be861 100644
--- a/web/karma.conf.js
+++ b/web/karma.conf.js
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
diff --git a/web/migrations/alembic.ini b/web/migrations/alembic.ini
index 68e529342..7755852db 100644
--- a/web/migrations/alembic.ini
+++ b/web/migrations/alembic.ini
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/migrations/env.py b/web/migrations/env.py
index 15f6c3c5b..c2145ab71 100644
--- a/web/migrations/env.py
+++ b/web/migrations/env.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/migrations/script.py.mako b/web/migrations/script.py.mako
index c8b4c12d3..eadf9cc40 100644
--- a/web/migrations/script.py.mako
+++ b/web/migrations/script.py.mako
@@ -2,7 +2,7 @@
 ##
 ## pgAdmin 4 - PostgreSQL Tools
 ##
-## Copyright (C) 2013 - 2020, The pgAdmin Development Team
+## Copyright (C) 2013 - 2019, The pgAdmin Development Team
 ## This software is released under the PostgreSQL Licence
 ##
 ##########################################################################
diff --git a/web/migrations/versions/02b9dccdcfcb_.py b/web/migrations/versions/02b9dccdcfcb_.py
index 185eb2156..613772a02 100644
--- a/web/migrations/versions/02b9dccdcfcb_.py
+++ b/web/migrations/versions/02b9dccdcfcb_.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/migrations/versions/09d53fca90c7_.py b/web/migrations/versions/09d53fca90c7_.py
index 55678c882..a9d696d93 100644
--- a/web/migrations/versions/09d53fca90c7_.py
+++ b/web/migrations/versions/09d53fca90c7_.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/migrations/versions/aa86fb60b73d_.py b/web/migrations/versions/aa86fb60b73d_.py
index 1581af4c5..df369da36 100644
--- a/web/migrations/versions/aa86fb60b73d_.py
+++ b/web/migrations/versions/aa86fb60b73d_.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/migrations/versions/b5b87fdfcb30_.py b/web/migrations/versions/b5b87fdfcb30_.py
index 124606fc9..fdb2a8d9c 100644
--- a/web/migrations/versions/b5b87fdfcb30_.py
+++ b/web/migrations/versions/b5b87fdfcb30_.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/migrations/versions/ca00ec32581b_.py b/web/migrations/versions/ca00ec32581b_.py
index cd6bf6877..a20b90426 100644
--- a/web/migrations/versions/ca00ec32581b_.py
+++ b/web/migrations/versions/ca00ec32581b_.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/migrations/versions/ece2e76bf60e_.py b/web/migrations/versions/ece2e76bf60e_.py
index 2142f65f8..a91abdd56 100644
--- a/web/migrations/versions/ece2e76bf60e_.py
+++ b/web/migrations/versions/ece2e76bf60e_.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/migrations/versions/fdc58d9bd449_.py b/web/migrations/versions/fdc58d9bd449_.py
index b9906c100..fdfc49413 100644
--- a/web/migrations/versions/fdc58d9bd449_.py
+++ b/web/migrations/versions/fdc58d9bd449_.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgAdmin4.py b/web/pgAdmin4.py
index 81ef6c396..5cfd61253 100644
--- a/web/pgAdmin4.py
+++ b/web/pgAdmin4.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
@@ -13,6 +13,7 @@ to start a web server."""
 
 import os
 import sys
+from cheroot.wsgi import Server as CherootServer
 
 if sys.version_info[0] >= 3:
     import builtins
@@ -190,15 +191,29 @@ if __name__ == '__main__':
     # Reference:
     # https://github.com/pallets/werkzeug/issues/220#issuecomment-11176538
     try:
-        app.run(
-            host=config.DEFAULT_SERVER,
-            port=server_port,
-            use_reloader=(
-                (not PGADMIN_RUNTIME) and app.debug and
-                os.environ.get("WERKZEUG_RUN_MAIN") is not None
-            ),
-            threaded=config.THREADED_MODE
-        )
-
+        if config.DEBUG:
+            app.run(
+                host=config.DEFAULT_SERVER,
+                port=server_port,
+                use_reloader=(
+                    (not PGADMIN_RUNTIME) and app.debug and
+                    os.environ.get("WERKZEUG_RUN_MAIN") is not None
+                ),
+                threaded=config.THREADED_MODE
+            )
+        else:
+            # Can use cheroot instead of flask dev server when not in debug
+            # 10 is default thread count in CherootServer
+            num_threads = 10 if config.THREADED_MODE else 1
+            prod_server = CherootServer(
+                (config.DEFAULT_SERVER, server_port),
+                wsgi_app=app,
+                numthreads=num_threads,
+                server_name=config.APP_NAME)
+            try:
+                print("Using production server...")
+                prod_server.start()
+            except KeyboardInterrupt:
+                prod_server.stop()
     except IOError:
         app.logger.error("Error starting the app server: %s", sys.exc_info())
diff --git a/web/pgAdmin4.wsgi b/web/pgAdmin4.wsgi
index cf3ad0c21..6daaefbeb 100644
--- a/web/pgAdmin4.wsgi
+++ b/web/pgAdmin4.wsgi
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/__init__.py b/web/pgadmin/__init__.py
index 820c8015a..f60ddf374 100644
--- a/web/pgadmin/__init__.py
+++ b/web/pgadmin/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/about/__init__.py b/web/pgadmin/about/__init__.py
index fd545b09e..18b634818 100644
--- a/web/pgadmin/about/__init__.py
+++ b/web/pgadmin/about/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/about/static/js/about.js b/web/pgadmin/about/static/js/about.js
index 5b711d4cc..9186f65c3 100644
--- a/web/pgadmin/about/static/js/about.js
+++ b/web/pgadmin/about/static/js/about.js
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index 5aee341fd..63753c64e 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/collection.py b/web/pgadmin/browser/collection.py
index 309e914a5..658f23a42 100644
--- a/web/pgadmin/browser/collection.py
+++ b/web/pgadmin/browser/collection.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/register_browser_preferences.py b/web/pgadmin/browser/register_browser_preferences.py
index 09f472795..48857b202 100644
--- a/web/pgadmin/browser/register_browser_preferences.py
+++ b/web/pgadmin/browser/register_browser_preferences.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/server_groups/__init__.py b/web/pgadmin/browser/server_groups/__init__.py
index e10c1949b..25addfd0e 100644
--- a/web/pgadmin/browser/server_groups/__init__.py
+++ b/web/pgadmin/browser/server_groups/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index a93e70a86..9117a4cc4 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
@@ -28,6 +28,7 @@ from pgadmin.model import db, Server, ServerGroup, User
 from pgadmin.utils.driver import get_driver
 from pgadmin.utils.master_password import get_crypt_key
 from pgadmin.utils.exception import CryptKeyMissing
+from pgadmin.tools.schema_diff.node_registry import SchemaDiffRegistry
 from psycopg2 import Error as psycopg2_Error, OperationalError
 
 
@@ -1627,4 +1628,5 @@ class ServerNode(PGChildNodeView):
         )
 
 
+SchemaDiffRegistry(blueprint.node_type, ServerNode)
 ServerNode.register_node_view(blueprint)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
index 29eb7721e..ca046d08c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
@@ -30,6 +30,8 @@ from pgadmin.utils.ajax import make_json_response, \
     make_response as ajax_response, internal_server_error, unauthorized
 from pgadmin.utils.driver import get_driver
 from pgadmin.tools.sqleditor.utils.query_history import QueryHistory
+
+from pgadmin.tools.schema_diff.node_registry import SchemaDiffRegistry
 from pgadmin.model import Server
 
 
@@ -1111,4 +1113,5 @@ class DatabaseView(PGChildNodeView):
         )
 
 
+SchemaDiffRegistry(blueprint.node_type, DatabaseView)
 DatabaseView.register_node_view(blueprint)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
index 582bac163..eec197e42 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
index bc266260a..711d3ad33 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/static/js/cast.js
@@ -2,7 +2,7 @@
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
-// Copyright (C) 2013 - 2020, The pgAdmin Development Team
+// Copyright (C) 2013 - 2019, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/__init__.py
index d80fccdc6..be323b387 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/__init__.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
index 19228afcb..b11c096b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_add.py
@@ -2,7 +2,7 @@
 #
 # pgAdmin 4 - PostgreSQL Tools
 #
-# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# Copyright (C) 2013 - 2019, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
